ToOne (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class ToOne

    java.lang.Object
      org.hibernate.mapping.SimpleValue
          org.hibernate.mapping.ToOne

All Implemented Interfaces:
  Serializable, Fetchable, KeyValue, Value

Direct Known Subclasses:
  ManyToOne, OneToOne

    public abstract class ToOne

extends SimpleValue
implements Fetchable

A simple-point association (ie. a reference to another entity).

See Also:
  Serialized Form

Field Summary
`protected String` | `referencedPropertyName`
`protected boolean` | `unwrapProxy`

Fields inherited from class org.hibernate.mapping.SimpleValue
`DEFAULT_ID_GEN_STRATEGY`

Constructor Summary
`protected` | `ToOne(Mappings mappings, Table table)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`abstract void` | `createForeignKey()`
`FetchMode` | `getFetchMode()`
`String` | `getReferencedEntityName()`
`String` | `getReferencedPropertyName()`
`abstract Type` | `getType()`
`boolean` | `isEmbedded()`
`boolean` | `isLazy()`
`boolean` | `isTypeSpecified()`
`boolean` | `isUnwrapProxy()`
`boolean` | `isValid(Mapping mapping)`
`void` | `setEmbedded(boolean embedded)`
`void` | `setFetchMode(FetchMode fetchMode)`
`void` | `setLazy(boolean lazy)`
`void` | `setReferencedEntityName(String referencedEntityName)`
`void` | `setReferencedPropertyName(String name)`
`void` | `setTypeUsingReflection(String className, String propertyName)`
`void` | `setUnwrapProxy(boolean unwrapProxy)`

Methods inherited from class org.hibernate.mapping.SimpleValue
`addColumn, addFormula, createForeignKeyOfEntity, createIdentifierGenerator, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getConstraintColumns, getForeignKeyName, getIdentifierGeneratorProperties, getIdentifierGeneratorStrategy, getMappings, getNullValue, getTable, getTypeName, getTypeParameters, hasFormula, isAlternateUniqueKey, isCascadeDeleteEnabled, isIdentityColumn, isNullable, isSimpleValue, isUpdateable, setAlternateUniqueKey, setCascadeDeleteEnabled, setForeignKeyName, setIdentifierGeneratorProperties, setIdentifierGeneratorStrategy, setNullValue, setTable, setTypeName, setTypeParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### referencedPropertyName

    protected String referencedPropertyName

### unwrapProxy

    protected boolean unwrapProxy

Constructor Detail

### ToOne

    protected ToOne(Mappings mappings,
                    Table table)

Method Detail

### getFetchMode

    public FetchMode getFetchMode()

  Specified by:
    `getFetchMode` in interface `Fetchable`
  Specified by:
    `getFetchMode` in interface `Value`
  Overrides:
    `getFetchMode` in class `SimpleValue`

### setFetchMode

    public void setFetchMode(FetchMode fetchMode)

  Specified by:
    `setFetchMode` in interface `Fetchable`

### createForeignKey

    public abstract void createForeignKey()
                                   throws MappingException

  Specified by:
    `createForeignKey` in interface `Value`
  Overrides:
    `createForeignKey` in class `SimpleValue`
  Throws:
    `MappingException`

### getType

    public abstract Type getType()
                          throws MappingException

  Specified by:
    `getType` in interface `Value`
  Overrides:
    `getType` in class `SimpleValue`
  Throws:
    `MappingException`

### getReferencedPropertyName

    public String getReferencedPropertyName()

### setReferencedPropertyName

    public void setReferencedPropertyName(String name)

### getReferencedEntityName

    public String getReferencedEntityName()

### setReferencedEntityName

    public void setReferencedEntityName(String referencedEntityName)

### setTypeUsingReflection

    public void setTypeUsingReflection(String className,
                                       String propertyName)
                                throws MappingException

  Specified by:
    `setTypeUsingReflection` in interface `Value`
  Overrides:
    `setTypeUsingReflection` in class `SimpleValue`
  Throws:
    `MappingException`

### isTypeSpecified

    public boolean isTypeSpecified()

  Overrides:
    `isTypeSpecified` in class `SimpleValue`

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`
  Overrides:
    `accept` in class `SimpleValue`

### isEmbedded

    public boolean isEmbedded()

### setEmbedded

    public void setEmbedded(boolean embedded)

### isValid

    public boolean isValid(Mapping mapping)
                    throws MappingException

  Specified by:
    `isValid` in interface `Value`
  Overrides:
    `isValid` in class `SimpleValue`
  Throws:
    `MappingException`

### isLazy

    public boolean isLazy()

  Specified by:
    `isLazy` in interface `Fetchable`

### setLazy

    public void setLazy(boolean lazy)

  Specified by:
    `setLazy` in interface `Fetchable`

### isUnwrapProxy

    public boolean isUnwrapProxy()

### setUnwrapProxy

    public void setUnwrapProxy(boolean unwrapProxy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.